【活用ガイド】

JVNDB-2021-001525

Visual Studio Code におけるリモートでコードを実行される脆弱性

概要

Visual Studio Code には、リモートでコードを実行される脆弱性が存在します。

本脆弱性は、CVE-2021-31211 とは異なる脆弱性です。
CVSS による深刻度 (CVSS とは?)

CVSS v3 による深刻度
基本値: 7.8 (重要) [NVD値]
  • 攻撃元区分: ローカル
  • 攻撃条件の複雑さ: 低
  • 攻撃に必要な特権レベル: 不要
  • 利用者の関与: 要
  • 影響の想定範囲: 変更なし
  • 機密性への影響(C): 高
  • 完全性への影響(I): 高
  • 可用性への影響(A): 高
CVSS v2 による深刻度
基本値: 9.3 (危険) [NVD値]
  • 攻撃元区分: ネットワーク
  • 攻撃条件の複雑さ: 中
  • 攻撃前の認証要否: 不要
  • 機密性への影響(C): 全面的
  • 完全性への影響(I): 全面的
  • 可用性への影響(A): 全面的
影響を受けるシステム


マイクロソフト
  • Visual Studio Code

想定される影響

リモートでコードを実行される可能性があります。
対策

ベンダより正式な対策が公開されています。ベンダ情報を参照して適切な対策を実施してください。
ベンダ情報

マイクロソフト
CWEによる脆弱性タイプ一覧  CWEとは?

  1. コマンドインジェクション(CWE-77) [NVD評価]
共通脆弱性識別子(CVE)  CVEとは?

  1. CVE-2021-31214
参考情報

  1. National Vulnerability Database (NVD) : CVE-2021-31214
  2. IPA 重要なセキュリティ情報 : Microsoft 製品の脆弱性対策について(2021年5月)
  3. JPCERT 注意喚起 : JPCERT-AT-2021-0024
更新履歴

  • [2021年05月27日]
      掲載